Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.configuration.spring
Class SpringStoryControls

    java.lang.Object
      org.jbehave.core.embedder.StoryControls
          org.jbehave.core.configuration.spring.SpringStoryControls

    public class SpringStoryControls

extends StoryControls

Extends `StoryControls` to provide getter/setter methods for all control properties, so it can be used by Spring's property mechanism.

Constructor Summary
`SpringStoryControls()`

Method Summary
`boolean` | `getDryRun()`
`boolean` | `isSkipBeforeAndAfterScenarioStepsIfGivenStory()`
`boolean` | `isSkipScenariosAfterFailure()`
`void` | `setDryRun(boolean dryRun)`
`void` | `setSkipBeforeAndAfterScenarioStepsIfGivenStory(boolean skipBeforeAndAfterScenarioStepsIfGivenStory)`
`void` | `setSkipScenariosAfterFailure(boolean skipScenariosAfterFailure)`

Methods inherited from class org.jbehave.core.embedder.StoryControls
`doDryRun, doResetStateBeforeScenario, doResetStateBeforeStory, doSkipBeforeAndAfterScenarioStepsIfGivenStory, doSkipScenariosAfterFailure, dryRun, resetStateBeforeScenario, resetStateBeforeStory, scenarioMetaPrefix, skipBeforeAndAfterScenarioStepsIfGivenStory, skipScenariosAfterFailure, storyMetaPrefix, toString, useScenarioMetaPrefix, useStoryMetaPrefix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpringStoryControls

    public SpringStoryControls()

Method Detail

### getDryRun

    public boolean getDryRun()

### setDryRun

    public void setDryRun(boolean dryRun)

### isSkipScenariosAfterFailure

    public boolean isSkipScenariosAfterFailure()

### setSkipScenariosAfterFailure

    public void setSkipScenariosAfterFailure(boolean skipScenariosAfterFailure)

### isSkipBeforeAndAfterScenarioStepsIfGivenStory

    public boolean isSkipBeforeAndAfterScenarioStepsIfGivenStory()

### setSkipBeforeAndAfterScenarioStepsIfGivenStory

    public void setSkipBeforeAndAfterScenarioStepsIfGivenStory(boolean skipBeforeAndAfterScenarioStepsIfGivenStory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.